| DocBook: The Definitive Guide 2.0.17 (Alpha)

# inlinegraphic

$Revision$

$Date$

inlinegraphic — An object containing or pointing to graphical data that will be rendered inline

## Synopsis

### Content Model

    inlinegraphic ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
width | CDATA | None
srccredit | CDATA | None
contentdepth | CDATA | None
entityref | ENTITY | None
scalefit | CDATA | None
contentwidth | CDATA | None

align

Enumeration:
center
left
right

None

valign

Enumeration:
bottom
middle
top

None

depth | CDATA | None
fileref | CDATA | None

format

Enumeration:
BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PDF
PIC
PNG
PS
SGML
SVG
SWF
TBL
TEX
TIFF
WMF
WPG

None

scale | CDATA | None

## Description

This element contains graphical data, or a pointer to an external entity containing graphical data. One of the deficiencies of the DocBook `Graphic` element is that there is no way to specify an alternate text description of the graphic. This has been rectified by the introduction of `InlineMediaObject`.

### Processing expectations

Formatted inline.

There are several ways to provide content for a `Graphic`. It is best to use only one of these methods. However, if multiple graphic sources are provided, the processing expectations are as follows: element content should be used in favor of either `EntityRef` or `FileRef` and `EntityRef` should be used in favor of `FileRef`.

### Future Changes

In DocBook V4.0, `InlineGraphic` will be declared `EMPTY`. This change will require that any embedded graphic content be stored outside the SGML source and pointed to with an `EntityRef` or `FileRef` attribute.

### Future Changes

In DocBook V5.0, `InlineGraphic` will be discarded. At that time, graphics will have to be incorporated using `MediaObject` or `InlineMediaObject`.

### Parents

These elements contain inlinegraphic: `abbrev`, `accel`, `ackno`, `acronym`, `action`, `application`, `artpagenums`, `attribution`, `authorinitials`, `bibliocoverage`, `biblioid`, `bibliomisc`, `bibliorelation`, `bibliosource`, `bridgehead`, `citation`, `citebiblioid`, `citetitle`, `city`, `classname`, `classsynopsisinfo`, `code`, `collabname`, `command`, `computeroutput`, `confdates`, `confnum`, `confsponsor`, `conftitle`, `constant`, `contractnum`, `contractsponsor`, `contrib`, `corpauthor`, `corpcredit`, `corpname`, `country`, `database`, `date`, `edition`, `email`, `emphasis`, `entry`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `fax`, `filename`, `firstname`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `holder`, `honorific`, `initializer`, `interface`, `interfacename`, `invpartnumber`, `isbn`, `issn`, `issuenum`, `jobtitle`, `keycap`, `keycode`, `keysym`, `label`, `lineage`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `manvolnum`, `markup`, `medialabel`, `member`, `methodname`, `modespec`, `modifier`, `mousebutton`, `msgaud`, `msglevel`, `msgorig`, `olink`, `option`, `optional`, `orgdiv`, `orgname`, `otheraddr`, `othername`, `package`, `pagenums`, `para`, `parameter`, `phone`, `phrase`, `pob`, `postcode`, `primary`, `primaryie`, `productname`, `productnumber`, `programlisting`, `prompt`, `property`, `pubdate`, `publishername`, `pubsnumber`, `quote`, `refentrytitle`, `refmiscinfo`, `releaseinfo`, `remark`, `replaceable`, `returnvalue`, `revnumber`, `revremark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `seriesvolnums`, `sgmltag`, `shortaffil`, `simpara`, `state`, `street`, `structfield`, `structname`, `subscript`, `subtitle`, `superscript`, `surname`, `symbol`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `token`, `trademark`, `type`, `ulink`, `uri`, `userinput`, `varname`, `volumenum`, `wordasword`, `year`.

## Attributes

align

  `Align` specifies the horizontal alignment of the graphic within the element that frames it.

depth

  `Depth` specifies the desired depth (vertical distance, at least in horizontal writing systems) of the image.

entityref

  `EntityRef` identifies the general entity which contains (or points to) the content of the graphic.

fileref

  `FileRef` specifies the name of the file which contains the content of the graphic.

format

  `Format` identifies the format of the graphic content. The `Format` must be a defined notation.

scale

  `Scale` specifies integer representing a percentage scaling factor (retaining the relative dimensions of the original graphic). If unspecified, the value 100 (100%) is assumed.

scalefit

  If `ScaleFit` has the value 1 (true), then the graphic is to be scaled (uniformly) to the specified width or depth. The default value of 0 (false) indicates that the image will not be scaled to fit (although it may still be scaled by the `Scale` attribute).

srccredit

  `SrcCredit` contains details about the source of the `InlineGraphic`.

width

  `Width` indicates the width of the graphic.

## See Also

`alt`, `audioobject`, `caption`, `graphic`, `imageobject`, `inlinemediaobject`, `mediaobject`, `textobject`, `videoobject`.

## Examples

For examples, see `guibutton`, `guiicon`, `guilabel`.

inlineequation |  | inlinemediaobject

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.